Package org.eclipse.zest.layouts

# Interface Filter

@Deprecated(since="2.0", forRemoval=true) public interface Filter
Deprecated, for removal: This API element is subject to removal in a future version.
Use `LayoutFilter` instead. This interface will be removed in a future release.
A filter is used to filter objects. Once implemented, interested parties can ask this filter whether or not a specific object is filtered. For example, in a visualization tool, only unfiltered objects should be displayed. Before displaying an object, the display can ask this filter if the object is filtered.

@noextend
  This interface is not intended to be extended by clients.
@noimplement
  This interface is not intended to be implemented by clients.
@noreference
  This interface is not intended to be referenced by clients.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isObjectFiltered(LayoutItem object)`
Deprecated.

## Method Details

### isObjectFiltered

@Deprecated boolean isObjectFiltered(LayoutItem object)
Deprecated.
Returns true if the object is filtered, or false if it's not filtered.